Bug 1466914 - Fedora 26 Final build of spin-kickstarts needed
Fedora 26 Final build of spin-kickstarts needed
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
26
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F26FinalBlocker
  Show dependency treegraph
 
Reported: 2017-06-30 13:48 EDT by Adam Williamson
Modified: 2017-07-06 18:52 EDT (History)
8 users (show)

See Also:
Fixed In Version: spin-kickstarts-0.26.1-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-06 18:52:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2017-06-30 13:48:13 EDT
We need a build of spin-kickstarts that matches the kickstarts we use to produce the Fedora 26 Final RCs.

Note: please don't do a package build *yet*, as most likely we will want to land one or two changes to fedora-kickstarts before producing the next Final compose:

https://pagure.io/fedora-kickstarts/pull-request/252
https://pagure.io/fedora-kickstarts/pull-request/254

I'll update this bug when I think we're ready for the package build.

This is a Final blocker: "A spin-kickstarts package which contains the exact kickstart files used to build the release must be present in the release repository. The included kickstarts must define the correct set of release repositories."
Comment 1 Kevin Fenzi 2017-06-30 16:02:31 EDT
+1 blocker
Comment 2 Dennis Gilmore 2017-06-30 16:03:37 EDT
+1 blocker
Comment 3 Mohan Boddu 2017-06-30 16:55:55 EDT
+1 blocker
Comment 4 Adam Williamson 2017-06-30 16:57:34 EDT
That's enough votes, accepting.
Comment 5 Fedora Update System 2017-07-01 12:44:21 EDT
spin-kickstarts-0.26.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-444b101c7b
Comment 6 Fedora Update System 2017-07-01 16:55:43 EDT
spin-kickstarts-0.26.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-444b101c7b
Comment 7 Adam Williamson 2017-07-06 14:27:05 EDT
0.26.1-1.fc26 is definitely in RC-1.5, and I just confirmed the contents are good:

[adamw@adam share]$ diff -ur spin-kickstarts/ /home/adamw/local/fedora-kickstarts/
Only in /home/adamw/local/fedora-kickstarts/: atomic-installer
Only in /home/adamw/local/fedora-kickstarts/: AUTHORS
Only in /home/adamw/local/fedora-kickstarts/: COPYING
Only in /home/adamw/local/fedora-kickstarts/: .git
Only in /home/adamw/local/fedora-kickstarts/: .gitignore
Only in /home/adamw/local/fedora-kickstarts/: l10n
Only in /home/adamw/local/fedora-kickstarts/: Makefile
Only in /home/adamw/local/fedora-kickstarts/: README.md
Only in /home/adamw/local/fedora-kickstarts/: templates
Only in /home/adamw/local/fedora-kickstarts/: tools
[adamw@adam share]$ cd /home/adamw/local/fedora-kickstarts/
[adamw@adam fedora-kickstarts (f26)]$ git status
On branch f26
Your branch is up-to-date with 'upstream/f26'.
nothing to commit, working tree clean
[adamw@adam fedora-kickstarts (f26)]$
Comment 8 Fedora Update System 2017-07-06 18:52:22 EDT
spin-kickstarts-0.26.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.